io.milvus.param.bulkinsert

## Class GetBulkInsertStateParam.Builder

- java.lang.Object
- - io.milvus.param.bulkinsert.GetBulkInsertStateParam.Builder

Enclosing class:
  GetBulkInsertStateParam

    public static final class GetBulkInsertStateParam.Builder
    extends java.lang.Object

Builder for `GetBulkInsertStateParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`GetBulkInsertStateParam` `build()` Verifies parameters and creates a new `GetBulkInsertStateParam` instance.
`GetBulkInsertStateParam.Builder` `withTask(@NonNull java.lang.Long task)` Sets the task id.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withTask

    public GetBulkInsertStateParam.Builder withTask(@NonNull
                                                    @NonNull java.lang.Long task)

Sets the task id.

Parameters:
  `task` - task id
Returns:
  `Builder`

#### build

    public GetBulkInsertStateParam build()
                                  throws ParamException

Verifies parameters and creates a new `GetBulkInsertStateParam` instance.

Returns:
  `GetBulkInsertStateParam`
Throws:
  `ParamException`